## org.eclipse.emf.ecore.util
Class DelegatingEcoreEList.Unsettable<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingEcoreEList<E>
                              org.eclipse.emf.ecore.util.DelegatingEcoreEList.Unsettable<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  DelegatingEcoreEList<E>

    public abstract static class DelegatingEcoreEList.Unsettable<E>

extends DelegatingEcoreEList<E>

A `delegating Ecore EList` with an implementation for tracking the unset state. At least one of `DelegatingEcoreEList.getEStructuralFeature()` or `DelegatingEcoreEList.getFeatureID()` must be specialized since each delegates to the other and without specialization this will lead to stack overflow.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

Field Summary
`protected boolean` `isSet`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DelegatingEcoreEList.Unsettable(InternalEObject owner)`

Method Summary
`protected void` `didChange()` Called to indicate that the backing store list has been changed.
`boolean` `isSet()` Returns whether the list is considered set, i.e., whether it's not empty.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList

`canContainNull, contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureID, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasInverse, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isContainment, isEObject, isInstance, isNotificationRequired, isUnique, lastIndexOf, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList

`add, add, addAll, addAll, containsAll, delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, didAdd, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, set, size, toString, useEquals`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Field Detail

### isSet

    protected boolean isSet

Constructor Detail

### DelegatingEcoreEList.Unsettable

    public DelegatingEcoreEList.Unsettable(InternalEObject owner)

Method Detail

### didChange

    protected void didChange()

  Description copied from class: `DelegatingEList`
  Called to indicate that the backing store list has been changed. This implementation does nothing; clients can use this to monitor change in the backing store list.

  Overrides:
    `didChange` in class `DelegatingEList<E>`

### isSet

    public boolean isSet()

  Description copied from class: `DelegatingNotifyingListImpl`
  Returns whether the list is considered set, i.e., whether it's not empty. A derived implementation may model this state directly.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `isSet` in class `DelegatingEcoreEList<E>`
  Returns:
    whether the list is considered set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `unset` in class `DelegatingEcoreEList<E>`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.